#### Previous topic

scipy.integrate.ode.set_jac_params

#### Next topic

scipy.integrate.ode.successful

# scipy.integrate.ode.set_solout

`ode.``set_solout`(solout)

  Set callable to be called at every successful integration step.

  Parameters:

  solout : callable

  > `solout(t, y)` is called at each internal integrator step, t is a scalar providing the current independent position y is the current soloution `y.shape == (n,)` solout should return -1 to stop integration otherwise it should return None or 0